Bug 154912 - [WinCairo][AcceleratedCompositing] Rendering issues on www.bbc.com.
Summary: [WinCairo][AcceleratedCompositing] Rendering issues on www.bbc.com.
Status: RESOLVED LATER
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-02 00:43 PST by peavo
Modified: 2016-03-24 12:56 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.16 KB, patch)
2016-03-02 00:47 PST, peavo
no flags Details | Formatted Diff | Diff
Patch (1.79 KB, patch)
2016-03-07 05:29 PST, peavo
mcatanzaro: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peavo 2016-03-02 00:43:56 PST
I am currently seeing some rendering glitches on www.bbc.com where text is disappearing when hovering over images with the mouse, after having scrolled down a bit.
Comment 1 peavo 2016-03-02 00:47:56 PST
Created attachment 272643 [details]
Patch
Comment 2 Alex Christensen 2016-03-02 23:03:09 PST
Comment on attachment 272643 [details]
Patch

I have no idea if this is correct
Comment 3 peavo 2016-03-07 05:29:51 PST
Created attachment 273174 [details]
Patch
Comment 4 peavo 2016-03-07 10:53:24 PST
Thanks for reviewing :)
Comment 5 peavo 2016-03-07 10:54:03 PST
Committed r197693: <http://trac.webkit.org/changeset/197693>
Comment 6 Carlos Garcia Campos 2016-03-16 00:11:15 PDT
Reverted r197693 for reason:

197031

Committed r198267: <http://trac.webkit.org/changeset/198267>
Comment 7 Alex Christensen 2016-03-24 10:16:49 PDT
I just noticed this was reverted, but I can't follow the reason why.  Carlos, could you explain why this was reverted?
Comment 8 Michael Catanzaro 2016-03-24 12:51:25 PDT
This bug was a follow-up to bug #154640. We had to roll out that patch because it broke a lot of sites.

The patch in this bug will be needed once that lands again.
Comment 9 Michael Catanzaro 2016-03-24 12:56:29 PDT
Sorry, that was the wrong bug number. I meant bug #126122.